Group info
Get a file group by its ID.
Groups are identified in a way similar to individual files. A group ID consists of a UUID followed by a “~” (tilde) character and a group size: integer number of the files in the group.
Authentication
Authorizationstring
Every request made to https://api.uploadcare.com/ MUST be signed. HTTPS SHOULD be used with any authorization scheme.
Requests MUST contain the Authorization header defining auth-scheme and auth-param: Authorization: auth-scheme auth-param.
Every request MUST contain the Accept header identifying the REST API version: Accept: application/vnd.uploadcare-v0.7+json.
There are two available authorization schemes:
- For production:
Uploadcare, a scheme where asignature, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend. - For quick tests:
Uploadcare.Simple, a simple scheme where your Secret API Key MUST be specified in every request’sauth-param.
Path parameters
uuid
Group UUID.
Headers
Accept
Version header.
Allowed values:
Response
Group's info
id
Group's identifier.
datetime_created
ISO-8601 date and time when the group was created.
files_count
Number of the files in the group.
cdn_url
Group's CDN URL.
url
Group's API resource URL.
files
The list of files in the group. An array may contain null values if a file has been removed.
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error